Set Settings
curl --request POST \
--url https://whatsapp.api.conversoempire.world/settings/set/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"rejectCall": true,
"msgCall": "<string>",
"groupsIgnore": true,
"alwaysOnline": true,
"readMessages": true,
"readStatus": true,
"syncFullHistory": true
}
'import requests
url = "https://whatsapp.api.conversoempire.world/settings/set/{instance}"
payload = {
"rejectCall": True,
"msgCall": "<string>",
"groupsIgnore": True,
"alwaysOnline": True,
"readMessages": True,
"readStatus": True,
"syncFullHistory": True
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rejectCall: true,
msgCall: '<string>',
groupsIgnore: true,
alwaysOnline: true,
readMessages: true,
readStatus: true,
syncFullHistory: true
})
};
fetch('https://whatsapp.api.conversoempire.world/settings/set/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"settings": {
"instanceName": "teste-docs",
"settings": {
"reject_call": true,
"groups_ignore": true,
"always_online": true,
"read_messages": true,
"read_status": true,
"sync_full_history": false
}
}
}Settings
Set Settings
Set settings
POST
/
settings
/
set
/
{instance}
Set Settings
Authorizations
Your authorization key header
Path Parameters
Name of the instance
Body
application/json
Reject calls automatically
Message to be sent when a call is rejected automatically
Ignore group messages
Always show WhatsApp online
Send read receipts
See message status
Syncronize full WhatsApp history with Converso Whatsapp Api
Response
201 - application/json
Created
Show child attributes
Show child attributes
⌘I
